#ifndef UPROBE_H
#define UPROBE_H

#include <QObject>
#include <uprobeprotocol.h>

class UProbe : public QObject
{
    Q_OBJECT
public:
    explicit UProbe(QObject *parent = 0);

signals:
    void updateChannelCount(int count);
    void sendWaveFormData(int channel,float* data,int count);

public slots:
    bool setPortName(const QString& name);
    bool setPortSpeed(int speed);

private:
    UProbeProtocol p_proto;

};

#endif // UPROBE_H
